.sapUiTabStrip {
	border: solid 1px @sapUiMediumBorder;
	font-family: @sapUiFontFamily;
	font-size: @sapUiFontSize;
	box-sizing: border-box;
	position:relative;
}

.sapUiTabBar {
	position: relative;
	white-space: nowrap;
	cursor: default;
}

.sapUiTabBarCnt {
	white-space: nowrap;
	display: inline-block;
	overflow:hidden;
	margin-top: 0;
	padding-left: 0;
	outline: none;
}

.sapUiTab,
.sapUiTabSel,
.sapUiTabDsbl {
	position: relative;
	display: inline-block;
	vertical-align: top;
	white-space:nowrap;
}

.sapUiTabL {
	overflow: hidden;
}

.sapUiTabDsbl {
	color: @sapUiContentDisabledTextColor;
}

.sapUiTabDsbl .sapUiTabIco {  /* make icon on disabled tab look faded out */
	opacity: .3;
	filter: alpha(opacity=30);
}

.sapUiTabClose {
	vertical-align:top;
	border: none;
	background-color: transparent;
	cursor: pointer;
}

.sapUiTabIco {
	width:16px; /* TODO: application contract... */
	height:16px;
	vertical-align:top;
}

span.sapUiTabIco {
	font-size: 16px;
}

.sapUiTabBar .sapUiTabMenu {
	display: inline-block;
	float: right;
	display:none; /* will be toggled by framework code */
}

.sapUiTabPanel {
	overflow: auto;
	left:0;
	right:0;
}

/* If height is defined it must be positioned absolute to fit the height*/
.sapUiTabPanelHeight {
	position: absolute;
	bottom:0;
}

.sapUiTabStripNoSelection {
	-moz-user-select: none;
	-webkit-user-select: none;
	user-select: none;
}

.sapUiTabBar .sapUiTabStripScrollContainer {
	display: inline-block;
	position: absolute;
	overflow: hidden;

	left: 0;
	right: 0;
}

.sapUiTabBar .sapUiTabStripScrollIcon {
	width: 16px;
	height: 22px;
	font-size: 10px;
	margin-top: 6px;
	padding-top: 4px;
	vertical-align: top;
	visibility: hidden;
	display: none;

	box-sizing: border-box;

	outline: none;
	-webkit-user-select: none;  /* Chrome all / Safari all */
	-moz-user-select: none;     /* Firefox all */
	-ms-user-select: none;      /* IE 10+ */
	user-select: none;
}

.sapUiTabBar .sapUiTabStripRightScrollIcon {
	position: absolute;
	right: 0;
}

.sapUiTabStrip {
	&.sapUiTabStripScrollForward .sapUiTabStripRightScrollIcon,
	&.sapUiTabStripScrollBack .sapUiTabStripLeftScrollIcon {
		visibility: visible;
	}
}

.sapUiTabStrip.sapUiTabStripScrollable .sapUiTabBar {
	.sapUiTabStripScrollIcon {
		display: inline-block;
	}

	.sapUiTabStripScrollContainer {
		left: 16px;
		right: 16px;
	}
}
